Groovy 1.7.10

## org.codehaus.groovy.tools.shell.commands
[Groovy] Class HelpCommand

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.commands.HelpCommand

    class HelpCommand
    extends CommandSupport

The 'help' command.

Authors:
  Jason Dillon

Version:
  \$Id: HelpCommand.groovy 17536 2009-09-04 01:42:05Z glaforge \$

Field Summary

Fields inherited from class CommandSupport
NEWLINE, io, log, messages, registry, shell

Constructor Summary
`HelpCommand(Shell shell)`

Method Summary
`protected List` | `createCompletors()`
`Object` | `execute(List args)`

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getCompletor, getDescription, getHelp, getHistory, getImports, getUsage, getVariables

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### HelpCommand

    HelpCommand(Shell shell)

Method Detail

### createCompletors

    protected List createCompletors()

### execute

    Object execute(List args)

Copyright © 2003-2010 The Codehaus. All rights reserved.